function qpf(){}
function prf(){}
function Bqf(a){this.a=a}
function Nqf(a){this.a=a}
function Kqf(a,b){opf(a.a,b)}
function Jqf(a,b){opf(a.c,b)}
function opf(a,b){Mdf(a.a,b)}
function Lqf(){cZd.call(this)}
function Iqf(a){Odf(a.a.a);Odf(a.c.a)}
function yrf(a){var b;if(!a.g){b=new Lqf;a.g=b}return a.g}
function vqf(a){var b;Iqf(a.A);b=tAh(a.a,Idf(),$L(Y0c,ixj,1,[]));B7i(s7i(b,fGj),_$j);J7i(s7i(b,a_j),true);nnj(new Gmj(b),new Bqf(a))}
function wqf(a,b,d,e,g){J8d.call(this,a,b,d,e);this.c=g;this.a=(new U_i(rXb,(EAh(),zAh).Mc(rXb),DAh.Mc(rXb))).a;this.b=new h0i(rXb)}
function orf(a){var b;b=$L(s1c,bxj,196,[new Kef(QXj,'Application Failures'),new Kef(SXj,'Resource Failures')]);PXd();a.a=Vdf(new Wdf('Failure Origin',w_j),b);return Ndf(a.a)}
function xrf(a){var b;if(!a.f){b=new wqf(QEd(Nbe(a.a)),yrf(a),wrf(a),(Rnj(sde(a.a)),Uoj(ude(a.a))),(V0i(qde(a.a)),lLg(Gce(a.a))));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.f=b}return a.f}
function ppf(a){var b,d;d=new Kef(JXj,'Number of Transactions');b=$L(s1c,bxj,196,[(d.c=true,d),wef(new Kef(LXj,'Commited'),d),wef(new Kef(NXj,'Aborted'),d),wef(new Kef(HXj,'Timed Out'),d)]);PXd();a.a=Vdf(new Wdf('Success Ratio',w_j),b);return Ndf(a.a)}
function Aqf(a,b){var d,e;e=hnj(b);if(e.b.gN(CGj)&&s7i(e,CGj).b.b!=(Klj(),Jlj)&&!UOd(s7i(e,CGj).b.Ze(),DGj)){Vc('Failed to load TX metrics: '+u7i(e))}else{d=Z_i(a.a.b,s7i(e,oGj));Kqf(a.a.A,new Edf($L(a0c,axj,-1,[d.OF(),d.IF(),d.GF(),d.NF()])));Jqf(a.a.A,new Edf($L(a0c,axj,-1,[d.HF(),d.MF()])))}}
f3c(2686,1,{},qpf);_.a=null;f3c(2708,1402,hyj,wqf);_.Qi=function(){this.A.b=this;I8d(this,Byh(pde((PXd(),NXd).a)))};_.Vi=function(){vqf(this)};_.Zi=function(){suf(this.c,this)};f3c(2710,1644,{},Bqf);_.dh=function(a){Aqf(this,a)};f3c(2713,1209,Qyj,Lqf);_.Ah=function(){var a,b;b=new cnd(B_j);rz((Mfd(),b.gb),C_j);b.gb.style[$Bj]=(wC(),hCj);b.gb.style[dCj]=-80+(sD(),LAj);b.gb.style[D_j]=f1j;QA(b.gb.style,mB());b.gb.style[cCj]=g1j;pr(b,(PXd(),'refreshBtnTXMetricViewImp'));b.sh(new Nqf(this));this.a=new qpf;this.c=new prf;a=oBe(oBe(oBe(rBe(sBe(vBe(new xBe,D4j),H4j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),Izj,b),'Executions',ppf(this.a)),'Rollbacks',orf(this.c));return pBe(a)};f3c(2714,1,vxj,Nqf);_.he=function(a){vqf(this.a.b)};f3c(2721,1,{},prf);_.a=null;f3c(2726,1,Pyj);_.pd=function(){yGd(this.b,xrf(this.a.a))};var Sub=wNd(2708),Pub=wNd(2710),Uub=wNd(2713),Tub=wNd(2714),rub=wNd(2686),bvb=wNd(2721);Dzj(_o)(74);